package com.supplier.mapper;

import com.supplier.model.HomePageIndex;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface HomePageMapper {
    HomePageIndex getHeadData(HomePageIndex homePageIndex);

    HomePageIndex getHeadIncome(HomePageIndex homePageIndex);

    List<Map<String, Object>> getThisYearOffer(HomePageIndex homePageIndex);

    List<Map<String, Object>> getThisYearClinch(HomePageIndex homePageIndex);

    List<Map<String, Object>> getHeadMap();

    Map<String, Object> getMessageRemid(String code);
}
